Bug 7738 - amd segfaults if a config file (the -F option) is specified
Summary: amd segfaults if a config file (the -F option) is specified
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: am-utils   
(Show other bugs)
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-10 18:36 UTC by Henry B. Messenger
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 01:46:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Henry B. Messenger 1999-12-10 18:36:02 UTC
The automount daemon, amd, will fail with a segmentation fault if a
configuration file is specified. Strace suggests that it is failing when it
tries to do the very first write to syslog (take this with a grain of
salt).

It will only fail if the configuration file is free of syntax errors.

Workaround is to specify everything amd needs to know on the command line
using /etc/sysconfig/amd, then it works fine.

Comment 1 Cristian Gafton 2000-02-04 01:46:59 UTC
fixed in the current shipping version of am-utils


Note You need to log in before you can comment on or make changes to this bug.